First time ever updating luma, need confirmation regarding updating..

Discussion in '3DS - Flashcards & Custom Firmwares' started by miss_nakano, Sep 26, 2016.

  1. miss_nakano
    OP

    miss_nakano Advanced Member

    Newcomer
    57
    7
    Feb 27, 2016
    Australia
    I've always used GW all the time before until early September when finally switching to Luma+al9h. Few days ago Luma is updated on github-->now 6.37.

    I need to know what is the best and safe way to update it because it's my first time ever updating a CFW(used to use GW and it was very easy, just replace GW's launcer.dat). So, 2 questions:

    1)Do I just click on the "luma updater" cia that I installed as a part of plailect's guide(part 3) back then?do you need internet connection?

    2)or how do you exactly update manually(actually, I prefer this), which files/folder from github should I copy to my older luma folder?

    Thanks!
     
  2. sora10pls

    sora10pls Official GBAtemp Trashâ„¢

    Member
    172
    196
    Oct 25, 2015
    Canada
    If you're updating manually, all you do is bring arm9loaderhax.bin to the root of your SD Card. If the config of a previous version is incompatible, it'll automatically have you re-configure it.
     
    miss_nakano likes this.
  3. pbanj

    pbanj The "friendly" neighborhood sandwich

    Member
    2,732
    1,433
    Dec 29, 2014
    United States
    in a ziploc
    you can either use the updater the guide has you install or you can download the new ver of luma from its github. you would then just replace the arm9loaderhax.bin on the sd card. the only thing/s in the luma folder you would update would be the payloads inside the payloads folder. you just replace them with the new ver.

    as for config settings if it asks for them
    if on a new 3ds you can set the "new 3ds cpu:" option to clock+l2
    if not using an emunand you can turn on autoboot sysnand. if the sd card never had an emunand this option can be skipped, or if youre using an emunand.
    turn on show nand or user string in system settings.

    all the other options the guide has you turn on are pointless for the setup the guide gives you
     
    miss_nakano likes this.
  4. retrofan_k

    retrofan_k GBAtemp Advanced Maniac

    Member
    1,818
    1,114
    May 31, 2013
    Belarus
    Caves
    Easiest and quickest way is use the luma updater with a Internet connection. It backs up the current version, if you ever need it when you install the new one.

    Just make sure afterwards you hold select on boot to redo luma's settings.
     
    miss_nakano likes this.
  5. miss_nakano
    OP

    miss_nakano Advanced Member

    Newcomer
    57
    7
    Feb 27, 2016
    Australia
    What about the boot.3dsx? does it need to be overwritten too?
     
  6. retrofan_k

    retrofan_k GBAtemp Advanced Maniac

    Member
    1,818
    1,114
    May 31, 2013
    Belarus
    Caves
    No, you don't need that with a9lh. So you can delete that from the 3ds folder.
     
    miss_nakano likes this.
  7. miss_nakano
    OP

    miss_nakano Advanced Member

    Newcomer
    57
    7
    Feb 27, 2016
    Australia
    thanks! I also update my GW launcher.dat while I'm at it.
     
  8. pbanj

    pbanj The "friendly" neighborhood sandwich

    Member
    2,732
    1,433
    Dec 29, 2014
    United States
    in a ziploc
    boot.3dsx is on the root not the 3ds folder. if the person wants to use any homebrew that is not a cia they will need that file
     
  9. retrofan_k

    retrofan_k GBAtemp Advanced Maniac

    Member
    1,818
    1,114
    May 31, 2013
    Belarus
    Caves
    I know but we're talking luma and that sub folder in /3ds is not needed after a9lh is installed.
     
  10. pbanj

    pbanj The "friendly" neighborhood sandwich

    Member
    2,732
    1,433
    Dec 29, 2014
    United States
    in a ziploc
    oh ya i forgot the luma download has one of those for *hax users
     
  11. miss_nakano
    OP

    miss_nakano Advanced Member

    Newcomer
    57
    7
    Feb 27, 2016
    Australia
    One more question about the configuration..It seems different from when I first installed it(luma 6.1.1). Which configurations should I use/check? For your information, I do not use emunand at all, and it's an O3ds. Please share which one you choose too if you don't mind. Thanks again!
     
  12. gnmmarechal

    gnmmarechal Kirigiri > Naoto

    Member
    GBAtemp Patron
    gnmmarechal is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    4,767
    2,900
    Jul 13, 2014
    Portugal
    https://gs2012.xyz
    Pick the same settings. Ignore the new ones.
     
    miss_nakano likes this.
  13. retrofan_k

    retrofan_k GBAtemp Advanced Maniac

    Member
    1,818
    1,114
    May 31, 2013
    Belarus
    Caves

    N3ds only - Clock +L2
    Auto boot Sysnand.
    Region/language.
    Nand version shown in settings.

    Pretty much it.
     
    miss_nakano likes this.
  14. miss_nakano
    OP

    miss_nakano Advanced Member

    Newcomer
    57
    7
    Feb 27, 2016
    Australia
    OK thanks again!